[IPython-dev] ipython0.9 and python2.4

Nils Wagner nwagner@iam.uni-stuttgart...
Sun Sep 14 09:26:51 CDT 2008


Hi all,

I just installed ipython from source.
I found an incompatibility wrt python2.4

byte-compiling 
/usr/lib/python2.4/site-packages/IPython/config/config.py 
to config.pyc
   File 
"/usr/lib/python2.4/site-packages/IPython/config/config.py", 
line 49
     with raw(self):
            ^
SyntaxError: invalid syntax
byte-compiling 
/usr/lib/python2.4/site-packages/IPython/kernel/tests/test_contexts.py 
to test_contexts.pyc
   File 
"/usr/lib/python2.4/site-packages/IPython/kernel/tests/test_contexts.py", 
line 28
     with parallel as pr:
                 ^
SyntaxError: invalid syntax
byte-compiling 
/usr/lib/python2.4/site-packages/IPython/kernel/contexts.py 
to contexts.pyc
SyntaxError: ('future feature with_statement is not 
defined',)
byte-compiling 
/usr/lib/python2.4/site-packages/IPython/frontend/prefilterfrontend.py 
to prefilterfrontend.pyc
   File 
"/usr/lib/python2.4/site-packages/IPython/frontend/prefilterfrontend.py", 
line 207
     finally:
           ^
SyntaxError: invalid syntax
byte-compiling 
/usr/lib/python2.4/site-packages/IPython/frontend/linefrontendbase.py 
to linefrontendbase.pyc
   File 
"/usr/lib/python2.4/site-packages/IPython/frontend/linefrontendbase.py", 
line 192
     finally:
           ^
SyntaxError: invalid syntax
  
Nils


More information about the IPython-dev mailing list